/* Estilos a ignorar, es solo para tener una vision final del elemento */
:root{
  --rut-control-h: 2.25rem; /* ajusta a gusto */
}

body {
  background-color: rgb(248, 251, 255);
  padding: 2rem 6rem;
}

.lato-thin {
  font-family: "Lato", sans-serif;
  font-weight: 100;
  font-style: normal;
}

.lato-light {
  font-family: "Lato", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.lato-regular {
  font-family: "Lato", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.lato-bold {
  font-family: "Lato", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.lato-black {
  font-family: "Lato", sans-serif;
  font-weight: 900;
  font-style: normal;
}

.lato-thin-italic {
  font-family: "Lato", sans-serif;
  font-weight: 100;
  font-style: italic;
}

.lato-light-italic {
  font-family: "Lato", sans-serif;
  font-weight: 300;
  font-style: italic;
}

.lato-regular-italic {
  font-family: "Lato", sans-serif;
  font-weight: 400;
  font-style: italic;
}

.lato-bold-italic {
  font-family: "Lato", sans-serif;
  font-weight: 700;
  font-style: italic;
}

.lato-black-italic {
  font-family: "Lato", sans-serif;
  font-weight: 900;
  font-style: italic;
}

.sve,
.svt {
  display: flex;
  flex-direction: column;
}

.sve {
  margin-bottom: 5rem;
}

.svt {
  margin-top: 2rem;
}

h1,
h2 {
  font-family: 'lato';
}

.ejemplo.mobile {
  font-size: 1rem;
  padding: .5rem 1rem;
  display: block;
}

/* Fin estilos a ignorar */

/* ESTOS ESTILOS SI VAN EN EL LA INICIATIVA */
.material-symbols-outlined {
  font-variation-settings:
    'FILL' 1,
    'wght' 400,
    'GRAD' 0,
    'opsz' 24
}


.flex-row {
  display: flex;
  gap: 1rem;
}

.flex-column {
  display: flex;
  flex-direction: column;
}

.content-separator {
  border-left: 1px solid var(--variable-color-light-grey-3);
  height: 1rem;
}

/* Estilos contenedor principal */
.pass-request-container {
  background-color: var(--variable-color-light-grey-6);
  padding: 2rem 10%;
  font-family: 'lato';
  border-radius: .3rem;
  display: flex;
  flex-direction: column;
  font-size: .8rem;
/*  border: 1px solid var(--variable-color-blue-7); */
}

.pass-request-container hr {
  width: 2rem;
  height: .2rem;
  margin: 0;
  margin-bottom: 1rem;
  background-color: var(--variable-color-green-1);
  border: none;
}

.required-fields {
  font-size: .7rem;
}

.required-input{
  align-items: center;
  color: var(--variable-color-error-1);
  gap: .5rem;
}

.flujoCarta .required-input{
  margin-top: 1rem;
} 

.errorCanalRespuesta {
  visibility: hidden;
  min-height: 1.25rem;
}

.errorCanalRespuesta.is-visible {
  visibility: visible;
}

.errorPesoMaximo,
.errorFormatoArchivo {
  display: none;
}

.input-container {
    position: relative;
    width: fit-content;

}

.input-container .material-symbols-outlined {
    position: absolute;
    top: 50%;
    right: .5rem;
    transform: translateY(-50%);
    border: none;
}

.input-container input{
  border: none;
}

.pass-request-title {
  font-size: 1.2rem;
  margin-bottom: .3rem;
}

.pass-request-title.sve {
  color: var(--variable-color-blue-1);
}

/* Estilos form search gris */
.pass-request-search {
  padding: 1rem 1.5rem;
  background-color: var(--variable-color-blue-8);
  border-radius: .4rem;
  margin: 1rem 0;
  display: flex;
  flex-direction: column; 
  gap: 0.5rem;
}

.pass-request-search-title {
  font-size: 1rem;
  margin: 0;
  color: var(--variable-color-blue-1);
}

.pass-request-search form {
  display: flex;
  flex-direction: column;
  gap: .5rem;
}

.pass-request-search form>label {
  color: var(--variable-color-blue-1);
}

.required-fields-input {
  color: var(--variable-color-error-4);
}

.pass-request-rut-button {
  display: flex;
  gap: .5rem;
  align-items: flex-start;
}

/* Estilos inputs */
.input-base,
.selectCargo {
  width: calc(100% - 2rem);
  border: 1px solid var(--variable-color-light-grey-3);
  padding: .4rem 1rem;
  border-radius: .3rem;
}

/* Alto fijo del input */
.pass-request-rut-button .input-base{
  box-sizing: border-box;
  height: var(--rut-control-h);
  padding: 0 1rem;
}

/* Alto fijo del botón */
.pass-request-rut-button .mutual-button{
  box-sizing: border-box;
  height: var(--rut-control-h);
  padding: 0 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.input-base::placeholder {
  color: var(--variable-color-blue-5);
  font-size: .8rem;
}

.input-base:user-invalid {
  outline: 1.5px solid #e63946;
}

.input-base:user-invalid:focus {
  outline: 1.5px solid #e63946;
}

.input-base.is-invalid{
  outline: 1.5px solid #e63946;
}

.input-base.is-invalid ~ .pass-request-error-message{
  visibility: visible;
}

.input-base:focus:not(.is-invalid) {
  color: #495057;
  outline: 0;
  box-shadow: 0 0 0 .1rem rgba(0,123,255,.25);
}

.input-base.is-invalid:focus {
  outline: 1.5px solid #e63946;
  box-shadow: none;
}

.selectCargo {
  width: 100%;
/*  color: var(--variable-color-blue-5); */
}

.input-flex-half{
  width: calc(50% - .5rem) !important;
}


/* Estilos botones */
.mutual-button {
 /* padding: .5rem 2rem; */
  height: 2.25rem;
  padding: 0 2rem;
  font-size: .8rem;
  border-radius: .3rem;
  cursor: pointer;
  background-color: var(--variable-color-green-1);
  border: 2px solid var(--variable-color-green-1);
  color: var(--variable-color-dark-grey-1);
  display: flex;
  align-items: center;
  justify-content: center;

  &:hover {
    background-color: var(--variable-color-green-2);
    border: 2px solid var(--variable-color-green-2);
    color: var(--variable-color-light-grey-6);
  }

  &:active {
    border: 2px solid var(--variable-color-green-1);
  }

    &.disabled {
    background-color: #f1f1f1;
    border-color: #f1f1f1;
    color: #7f7f7f;
    cursor: not-allowed;
    pointer-events: none;
  }
}

.pass-request-info-container {
  padding: 1rem 0;
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.pass-request-info-container .pass-request-info:last-of-type {
  margin-top: -.5rem;
}

.pass-request-info {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  align-items: baseline;
}

.pass-request-info-results {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: .2rem;
}

.pass-request-info-results select {
  width:100%
}

.pass-request-info-results label {
  color: var(--variable-color-blue-1);
}

#no-second-lastname {
  font-size: .6rem;
  margin-left: 1rem;
}

.request-permision {
  align-self: flex-end;
}

.request-permision:disabled {
  background-color: var(--variable-color-light-grey-4);
  border: 1px solid var(--variable-color-light-grey-4);
  color: var(--variable-color-light-grey-1);
  cursor: none;
}


.tooltip-top-desktop {
  position: relative;
  display: inline-block;
  cursor: pointer;
}

.tooltip-top-desktop .tooltipcontent {
  /* visibility: hidden; */
  width: 20rem;
  background-color: var(--variable-color-light-grey-6);
  text-align: center;
  border-radius: .4rem;
  position: absolute;
  bottom: 180%;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1000;
  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip-top-desktop:hover .tooltipcontent {
  visibility: visible;
  opacity: 1;
}

.tooltip-top-desktop .tooltipcontent::after {
  content: "";
  position: absolute;
  top: 99%;
  /* flecha justo debajo del tooltip (y sobre el icono) */
  left: 50%;
  transform: translateX(-50%);
  z-index: 1001;
  border-width: 10px;
  border-style: solid;
  border-color: var(--variable-color-light-grey-6) transparent transparent transparent;
  opacity: 1;
  visibility: visible;
}

.tooltipcontent {
  box-shadow: 2px 2px 10px var(--variable-color-dark-grey-6);
}

.tooltipcontent::after {
  filter: drop-shadow(0px 20px 10px var(--variable-color-dark-grey-6));
}

.tooltipimage {
  width: 20rem;
  border-radius: .4rem;
}

/* A este hay que agregarle funcionalidad con script para que aparezca */
.modal-cedula {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  padding: 2rem 3rem;
  background-color: white;
}

.icon-close-modal {
  cursor: pointer;
  font-size: 1.5rem;
  color: var(--variable-color-light-grey-1);
  align-self: flex-end;
}

.cedula-mobile {
  width: 100%;
}


/* Mensajes de success y error */
.pass-request-message-success,
.pass-request-message-warning,
.pass-request-message-error {
  background-color: var(--variable-color-light-grey-6);
  padding: 2rem 10%;
  font-family: 'lato';
  border-radius: .3rem;
  display: flex;
  flex-direction: column;
  font-size: .8rem;
/*  border: 1px solid var(--variable-color-blue-7); */
}

.pass-request-message-success hr,
.pass-request-message-warning hr,
.pass-request-message-error hr {
  width: 2rem;
  height: .2rem;
  margin: 0;
  margin-bottom: 1rem;
  background-color: var(--variable-color-green-1);
  border: none;
}

.pass-request-message-success-content .material-symbols-outlined,
.pass-request-message-warning-content .material-symbols-outlined,
.pass-request-message-error-content .material-symbols-outlined {
  font-size: 3.5rem;
}

.pass-request-message-success-content .material-symbols-outlined {
  color: var(--variable-color-success-5);
}

.pass-request-message-warning-content .material-symbols-outlined {
  color: var(--variable-color-warning-1);
}

.pass-request-message-error-content .material-symbols-outlined {
  color: var(--variable-color-error-4);
}

.pass-request-message-success-content h1,
.pass-request-message-warning-content h1,
.pass-request-message-error-content h1 {
  padding: 0;
  margin: .3rem 0;
  font-size: 1.3rem;
}

.pass-request-message-success-content p,
.pass-request-message-warning-content p,
.pass-request-message-error-content p {
  margin: .3rem 0;
  margin-bottom: 1.5rem;
  text-align: center;
}

.pass-request-message-success-content,
.pass-request-message-warning-content,
.pass-request-message-error-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 3rem 0;
}

.mutual-button.outlined {
  border: 2px solid var(--variable-color-green-4);
  background-color: var(--variable-color-light-grey-6);
  color: var(--variable-color-green-2);
  font-size: .8rem;

  &:hover {
    background-color: var(--variable-color-green-7);
    border: 2px solid var(--variable-color-green-1);
    color: var(--variable-color-green-2);
  }

  &:active {
    border: 3px solid var(--variable-color-green-1);
  }
}

/* Seccion permisos */
.pass-request-admin {
  padding: 1rem 1.5rem;
  background-color: var(--variable-color-blue-8);
}

.pass-access-item {
  padding: .75rem 1rem;
  border: 1px solid var(--variable-color-light-grey-3);
  margin-bottom: 1rem;
}

.pass-access-item.active {
  background-color: #FCFFDE;
}

.pass-access-item-header {
  width: 100%;
  justify-content: space-between;
}

.pass-access-item-header-left,
.pass-access-item-header-right {
  align-items: center;
}

.pass-access-item-header-left {
  gap: .5rem;
}

.pass-access-number {
  background-color: var(--variable-color-success-8);
  padding: .25rem .625rem;
  border-radius: .75rem;
}

.pass-access-item-header-left label {
  font-weight: bold;
  font-size: 1.2rem;
}

.pass-access-item-header-right .material-symbols-outlined {
  color: var(--variable-color-dark-grey-6);
}

.item-content-header {
  align-items: center;
  width: 100%;
  justify-content: space-between;
  border-bottom: 1px solid var(--variable-color-light-grey-2);
  margin-bottom: 1rem;
}

.item-content-header h2 {
  margin: 0;
  padding: .7rem 0;
  color: var(--variable-color-blue-1);
}

.pass-access-item-content {
  display: none;
  padding: 2rem;
}

.item-content-access {
  justify-content: flex-start;
}

.item-content-access div {
  flex: 1;
}

.item-content-access-container {
  display: flex;
  flex-direction: column;
  gap: .5rem;
  margin-bottom: 1rem;
}

.pass-access-item.active>.pass-access-item-content {
  display: block;
}

.mutual-button.go-back {
  background-color: var(--variable-color-light-grey-4);
  color: var(--variable-color-dark-grey-6);
  border: 1px solid var(--variable-color-light-grey-4);

  &:hover {
    background-color: var(--variable-color-green-2);
    border: 2px solid var(--variable-color-green-2);
    color: var(--variable-color-light-grey-6);
  }

  &:active {
    border: 2px solid var(--variable-color-green-1);
  }
}

.form-buttons {
  justify-content: space-between;
}

/* Estilos trabajador - Estos son extra pero necesitan los anteriores*/
.mutual-button.variant-trabajadores {
  background-color: var(--variable-color-turquoise-1);
  border: 2px solid var(--variable-color-turquoise-1);
  color: var(--variable-color-dark-grey-1);

  &:hover {
    background-color: var(--variable-color-turquoise-2);
    border: 2px solid var(--variable-color-turquoise-2);
    color: var(--variable-color-light-grey-6);
  }

  &:active {
    border: 2px solid var(--variable-color-turquoise-1);
  }
}

.pass-request-info-result-label-icon {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
}

.pass-request-info-result-label-icon .material-symbols-outlined {
  font-size: 1.2rem;
}

.variant-trabajadores.outlined {
  border: 2px solid var(--variable-color-turquoise-1);
  background-color: var(--variable-color-light-grey-6);

  &:hover {
    background-color: var(--variable-color-turquoise-7);
    border: 2px solid var(--variable-color-turquoise-1);
    color: var(--variable-color-turquoise-2);
  }

  &:active {
    border: 3px solid var(--variable-color-turquoise-1);
  }
}

.input-base:user-invalid~.pass-request-error-message {
  visibility: visible;
}

.input-base:user-invalid~#no-second-lastname {
  display: none;
}

.pass-request-error-message {
  display: block;            /* siempre existe en el flujo */
  min-height: .9rem;         /* reserva 1 línea (ajusta si quieres) */
  margin: .25rem 0 0 1rem;   /* como lo tenías, pero consistente */
  font-size: .6rem;
  color: var(--variable-color-error-4);
  visibility: hidden; 
}

.alert-simple-new,
.alert-double-new {
  width: 100%;
  border-radius: .4rem;
  overflow: hidden;
  margin: 1rem 0;
  min-height: 54px;
}

.alert-text-icon {
  display: flex;
  align-items: center;
  gap: .5rem;
}


.alert-simple-new .content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: .5rem;
  gap: .5rem;
}

.alert-simple-new .close .material-symbols-rounded {
  color: var(--variable-color-light-grey-1);
}

.alert-simple-new .content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: .5rem;
  gap: 1rem;
  min-height: 3.375rem;
}

/* Warning */
.alert-simple-new.warning {
  background-color: var(--variable-color-warning-7);
  border: 1px solid var(--variable-color-warning-8);
}

.alert-simple-new.warning .content {
  border-left: .3rem solid var(--variable-color-warning-5);
  margin-right: 1rem;
}

.alert-simple-new.warning .alert-text-icon .material-symbols-outlined {
  color: var(--variable-color-warning-4);
}

.alert-simple-new .material-symbols-outlined, .alert-text-icon .material-symbols-outlined {
  font-size: 24px;
}

/* Information */
.alert-simple-new.information {
  background-color: var(--variable-color-info-8);
  border: 1px solid var(--variable-color-info-7);
}

.alert-simple-new.information .content {
  border-left: .3rem solid var(--variable-color-info-5);
  margin-right: 1rem;
}

.alert-simple-new.information .alert-text-icon .material-symbols-outlined {
  color: var(--variable-color-info-4);
}

.alert-double-new > .content > .content-text-icon {
  gap: .5rem;
  text-align: left;
}

.alert-double-new.information {
  min-height: 3.375rem;
}

.alert-double-new.information .alert-text-icon .material-symbols-outlined {
  color: var(--variable-color-info-4);
}

.alert-double-new.information .alert-text-icon p {
  font-weight: 700;
}

.alert-double-new.information .content {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  background-color: var(--variable-color-info-8);
  border-left: .3rem solid var(--variable-color-info-5);
  gap: .5rem;
  padding: 1rem .5rem;
}

.alert-double-new.information .content .alert-text {
  margin-left: 2rem;
  padding-right: 2.5rem;
}

.alert-double-new .content p,
.alert-simple-new .content p {
  margin: 0;
}



/* Tables */
.table-search {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: .5rem 1rem;
}

.table-search .input-base {
  width: 7rem;
}

.table-search p {
  font-size: 1rem;
}

.table-admin {
  width: calc(100% - 1rem);
  border-collapse: collapse;
}

.table-admin thead>tr {
    width: calc(100% - 1rem);
    background-color: var(--variable-color-blue-8);
    border: none !important;}

.table-admin tr {
  padding: .3rem .5rem;
  border-top: 1px solid var(--variable-color-blue-6);
  width: calc(100% - 1rem);
}

.table-admin tr:last-child {
  border-bottom: 1px solid var(--variable-color-blue-6);
}

.table-admin tbody tr:first-child {
  border-top: none;
}

.table-admin thead,
.table-admin tbody {
  width: 100%;
}

.table-admin .table-info-filter,
.table-admin tr {
  display: inline-flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  gap: .4rem;
}

.table-admin td {
  flex: 1;
}

.table-admin tbody tr td:first-child {
  all: unset!important;
}

.table-info-filter .material-symbols-outlined {
  font-size: .6rem;
  color: var(--variable-color-dark-grey-6);
  cursor: pointer;
}

.table-admin tbody tr:nth-child(even) {
  background-color: var(--variable-color-blue-8);
}

.table-admin tbody tr td:first-child {
  all: unset;
}

.table-admin thead th {
  border: none;
}

.table-admin thead tr:first-child th:first-child {
    padding: 0;
    width: auto;
}

.table-admin thead{
    border-top: 1px solid var(--variable-collection-table-line);
    border-bottom: 1px solid var(--variable-collection-table-line);
    background-color: rgba(246, 247, 252, 1);
}

/* Table sucursales */
.table-sucursales{
  width: calc(100%);
}

.table-sucursales thead{
  display: flex;
  width: 100%;
}

.table-sucursales tr{
  display: flex;
  justify-content: flex-start;
  width: calc(100% - 1rem)
}

.table-sucursales > thead> tr> th {
  flex: 1;
  text-align: left;
}

.table-sucursales > thead> tr> th:first-of-type {
  flex: 0;
  padding: 0;
}


/* Paginacion */
.table-pagination {
  display: flex;
  justify-content: flex-end;
  gap: 1rem;
  align-items: center;
  font-size: .7rem;
  padding: .5rem 1rem;
}

.pagination-selector {
  width: 4rem;
  padding: .2rem 0;
  font-size: .7rem;
  border: 1px solid var(--variable-color-light-grey-4);
  border-radius: .3rem;
  cursor: pointer;
}

.table-container {
  border: 1px solid var(--variable-color-blue-6);
  border-radius: .3rem;
  margin: 1rem 0;
}

.table-pagination span {
  cursor: pointer;
}

/* Fecha asignaciones de clave */
.date-inputs{
  margin: 1rem 0;
}

.date-input{
  gap: .5rem;
}


/* Botones para subir archivos */
.input-upload {
  display: none;
}

.upload-buttons {
  justify-content: space-around;
  margin: 2rem 0;
}

/* Esta es el estilo que cambia el boton cuando se ha elegido un archivo, 
asumo que la logica la manejas tu pero para esto me base un poco en los boton que ya existen, luego vemos si Christine aprueba porque no existe referencia en ningun lado del kit */
.mutual-button.file-uploaded{
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 1rem;
  background-color: var(--variable-color-green-6);
}

.material-symbols-outlined.file-uploaded{
  display: inline;
  font-size: 1rem;
}

.material-symbols-outlined.file-uploaded.hidden{
  display: none;
}

.mutual-button.file-uploaded:hover,
.material-symbols-outlined.file-uploaded:hover{
  color: var(--variable-color-dark-grey-1);
  border-color: var(--variable-color-green-4);
}

.mutual-button.file-uploaded:hover{
  font-size: 0;
}

.mutual-button.file-uploaded:hover::before{
  content: "Eliminar archivo cargado";
  font-size: .8rem;
}

/* Estilos select */
.mutual-select-base{
    font-family: inherit;
    width: 100%;
    height: 2.25rem;
    padding: .4rem .8rem .4rem 1rem;
    border-radius: .3rem;
    border: 1px solid var(--variable-color-light-grey-2);
   /* color: var(--variable-color-light-grey-2); */
    cursor: pointer;
    appearance: base-select;
    margin-top: .5rem;
}

.mutual-select-base:hover{
    background-color: var(--variable-color-light-grey-5);
}

.mutual-select-base:open {
    border-radius: .3rem .3rem 0 0;
    border: 1px solid var(--variable-color-green-1);
    border-bottom: 1px solid var(--variable-color-light-grey-2);
}

.mutual-select-base::picker-icon{
    transition: transform;
}

.mutual-select-base:open::picker-icon{
    transform: rotate(180deg);
}

.mobile {
  display: none !important;
}

/* ESTILOS MODAL */
.modal-user-container {
  height: 100vh;
  width: 100vw;
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: color-mix(in srgb, var(--variable-color-light-grey-1) 70%, transparent);
  z-index: 9999;
}

.modalDisplayNone {
  display: none;
}

body.modal-open {
  overflow: hidden;
}

.modal-user {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: var(--variable-color-light-grey-6);
  border-radius: .5rem;
  box-shadow: .1rem .1rem .7rem var(--variable-color-dark-grey-6);
  width: 70%;
  height: 50%;
}

.modal-user-header {
  align-self: flex-start;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: calc(100% - 4rem);
  padding: 1rem 0 0 2rem;
}

.modal-user-header hr {
  width: 2rem;
  height: .2rem;
  margin: 0;
  margin-bottom: 1rem;
  background-color: var(--variable-color-green-1);
  border: none;
}

.modal-icon-close {
  cursor: pointer;
  color: var(--variable-color-light-grey-1);
}

.modal-user-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  justify-self: center;
  height: 80%;
  width: 80%;
  margin-bottom: 4rem;
}

.modal-user-content p {
  margin: 0rem 0 2rem 0;
}

.modal-user-content h1 {
  margin-bottom: 1rem;
}

.material-symbols-outlined.icon-modal {
  font-size: 3rem;
}

.icon-modal[data-status="check_circle"] {
  color: var(--variable-color-success-5);
}

.icon-modal[data-status="warning"] {
  color: var(--variable-color-warning-1);
}

.positionComponentPie
 {
    right: 125px;
    padding: 0;
 }

@media (max-width: 768px) {

  /* Este estilo se elima cuando se eliminen los h1 guia */
  .ejemplo {
    display: none;
  }

  /* Se elimina cuando se aplica la todo en portal */
  body {
    padding: 0;
    margin: 0;
  }

  /* Estilos a implementar desde aqui */

  .pass-request-container {
    padding: .5rem 1rem;
    border-radius: 0;
  }

  .pass-request-rut-button,
  .pass-request-info {
    display: flex;
    flex-direction: column;
  }

  .pass-request-info-container {
    width: 100%;
  }

  .pass-request-info-results {
    width: 100%;
  }

  .request-permision {
    align-self: auto;
  }

  .input-base.mobile {
    display: flex;
    align-self: flex-end;
    width: 60dvw;
    margin-top: 1rem;
  }

  .input-base.mobile.txtBuscaAdmins {
    display: flex !important;
  }

  .input-base.mobile.txtBuscaSemantic {
    display: flex !important;
    margin: auto;
    margin-top: 0.5rem;
  }

  .table-admin {
    width: calc(100% - .2rem);
    border-top: none;
  }

  .table-admin tr {
    padding: .2rem .1rem;
    flex-direction: row !important;
  }

  .table-admin .table-info-filter,
  .table-admin th:first-child {
    all: unset !important;
  }

  .table-admin .table-info-filter,
  .table-admin th {
    display: flex;
    padding: .1rem .3rem !important;
    flex: 1 !important;
    justify-content: space-between;
    gap: 0;
  }

  .table-info-filter span:first-of-type {
    font-weight: 700;
  }

  .table-admin thead,
  .table-admin tbody {
    width: calc(100% - 1rem);
  }

  .table-admin tbody tr td:first-child {
    all: unset !important;
  }

  .table-admin tbody tr td {
    flex: 1;
    hyphens: auto !important;
    overflow-wrap: break-word;
    word-wrap: break-word;
    word-break: break-all;
    padding: .1rem .3rem;
  }

  .table-admin > thead> tr> th {
    flex: 1;
    text-align: left;
    border: none
}

.arrow {
    color: var(--variable-color-green-3);
    font-size: .7rem !important;
    padding: 1rem .2rem;
  }

  .arrow.disabled {
    color: var(--variable-color-light-grey-3);
  }

  .table-search p:first-of-type {
    padding: .3rem;
    margin: 0;
  }

  .upload-buttons {
    flex-direction: column;
  }

  /* PASO 2 */

  .pass-request-admin h2 {
    color: var(--variable-color-blue-1);
  }

  .pass-access-item {
    padding: .75rem .4rem;
  }

  .pass-access-item-header {
    justify-content: space-between;

  }

  .pass-access-item-header-left,
  .pass-access-item-header-right {
    flex: 1;
  }

  .pass-access-number {
    font-size: .75rem;
  }

  .content-separator {
    height: 1.5rem;
  }

  .pass-access-item-header-left label {
    font-weight: bold;
    font-size: .8rem;
  }

  .pass-access-item-header-right {
    gap: 1rem;
    justify-content: flex-end;
    margin-right: .5rem;
  }

  .pass-access-item-content {
    padding: .5rem .4rem;
  }

  .item-content-header h2 {
    font-size: 1.1rem;
  }

  .item-content-header>div label {
    font-size: .7rem;
  }

  .item-content-header h2,
  .item-content-header div {
    flex: 1;
  }

  .item-content-access,
  .item-content-access-container {
    display: flex;
    flex-direction: column !important;
    gap: .5rem;
  }

  .item-content-access>div label {
    font-size: .7rem;
  }

  .item-content-input.flex-row {
    align-items: center;
    gap: .2rem;
  }

  .input-access[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    box-sizing: border-box;
    display: inline-block;
    vertical-align: middle;
    flex: 0 0 1.2rem;
    min-width: 1rem;
    max-width: 1rem;
    min-height: 1rem;
    max-height: 1rem;
    width: 1rem;
    height: 1rem;
    border: 1.5px solid var(--variable-color-light-grey-3);
    background-color: var(--variable-color-light-grey-6);
    border-radius: .2rem;
    position: relative;
    cursor: pointer;
  }

  .input-access[type="checkbox"]::after {
    content: "";
    position: absolute;
    left: 4px;
    top: 0;
    width: .27rem;
    height: .58rem;
    border: solid var(--variable-color-light-grey-6);
    border-width: 0 2px 2px 0;
    transform: rotate(45deg) scale(0);
    transition: transform .12s ease-in-out;
  }

  .input-access[type="checkbox"]:checked {
    background-color: var(--variable-color-blue-1);
    border-color: var(--variable-color-blue-1);
  }

  .input-access[type="checkbox"]:checked::after {
    transform: rotate(45deg) scale(1);
  }

  .content .mobile {
    display: inline;
  }

  .desktop {
    display: none !important;
  }

  .srTipoAdmin .ui-radiobutton,
.srTipoAdmin .ui-radiobutton-box,
.srTipoAdmin label,
.srTipoAdmin td {
  display: none !important;
  padding: 0 !important;
  border: 0 !important;
}
  /* ESTILOS MODAL */

  .modal-user {
    width: 90%;
    height: 80%;
  }

  .modal-user-content h1 {
    font-size: 1.5rem;
  }

  .modalDisplayNone {
    display: none;
  }


}

@media (max-width: 950px) {
    .positionComponentPie {
     bottom: auto; 
     right: 3px !important;
    }
  }
